---
page_title: List VAN
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/list-van
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fvirtual-account--ecollect%2Flist-van
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# List VAN



This API will list out all the enabled virtual accounts created with the given customer## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/:customer_id/virtual-accounts

- Production: https://api.juspay.in/customers/:customer_id/virtual-accounts

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required, Base64 Encoded username:password
## Headers:

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Code Snippets:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/customers/customers/:customer_id/virtual-accounts' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'x-routing-id: customer_1122'\
--header 'x-merchantid: merchant_id'\
--header 'Authorization: Basic RjMxREI*********5Q0I0NjMyOg=='

```

### Sample Request and Response:

#### Response:
```json
{
    "list": [
        {
            "status": "ENABLED",
            "virtual_account": "ABCD400314648212",
            "last_updated": "2024-01-03T09:02:04.425004009Z",
            "virtual_account_reference": "test1",
            "ifsc": "UTIB0CCH274",
            "metadata": "{\"name\":\"Hitesh\", \"city\": \"Jaipur\"}",
            "type": "ACCOUNT_IFSC",
            "date_created": "2024-01-03T08:57:12.31589749Z"
        },
        {
            "status": "ENABLED",
            "virtual_account": "ABCD400314268881",
            "last_updated": "2024-01-03T09:01:15.126762949Z",
            "virtual_account_reference": "test2",
            "ifsc": "UTIB0CCH274",
            "type": "ACCOUNT_IFSC",
            "date_created": "2024-01-03T09:01:15.126762949Z"
        }
    ],
    "offset": 0,
    "count": 2,
    "total": 2,
    "object": "list"
}

```

## Path Parameters:

#### customer_id:
Customer ID provided by Juspay or object reference ID given by merchant while customer creation.
- Tags: String, Mandatory
## API Responses:
### 200:

#### list:
- Value:
  - **Status**:
    - Tags: String
  - **Virtual_account**:
    - Tags: String
  - **Virtual_account_reference**:
    - Tags: String
  - **Customer_id**:
    - Tags: String
  - **Ifsc**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Date_created**:
    - Tags: String
  - **Last_updated**:
    - Tags: String
  - **Metadata**:
    - Description: A custom key-value set . It is stringified JSON
    - Tags: String
- Tags: Array of objects

#### offset:
- Tags: String

#### count:
- Tags: String

#### total:
- Tags: String

#### object:
- Tags: String


---

## See Also

- [Get VAN](https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/get-van)
- [Update VAN](https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/update-van)
